GNU bug report logs - #21032
package.el acts pecularly

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Vaidheeswaran C <vaidheeswaran.chinnaraju@HIDDEN>; dated Fri, 10 Jul 2015 19:34:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 21032 <at> debbugs.gnu.org:


Received: (at 21032) by debbugs.gnu.org; 12 Jul 2015 17:27:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 12 13:27:54 2015
Received: from localhost ([127.0.0.1]:47645 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZEL2g-0002gd-8Y
	for submit <at> debbugs.gnu.org; Sun, 12 Jul 2015 13:27:54 -0400
Received: from mail-pa0-f44.google.com ([209.85.220.44]:34650)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <vaidheeswaran.chinnaraju@HIDDEN>)
 id 1ZE9wj-0001r6-IH
 for 21032 <at> debbugs.gnu.org; Sun, 12 Jul 2015 01:37:02 -0400
Received: by pabvl15 with SMTP id vl15so189088558pab.1
 for <21032 <at> debbugs.gnu.org>; Sat, 11 Jul 2015 22:36:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=message-id:date:from:user-agent:mime-version:to:cc:subject
 :references:in-reply-to:content-type:content-transfer-encoding;
 bh=5if//xIeZZIlOQOlmftvmhDmFVtuSoCVSD8hYHOyLVU=;
 b=Z2TbhFLmlh5+JQH1krTGfZBg+uZ1NGhLw3uU4YdejODHS92rHkxPAeY0zsFuKW/V6l
 pv34Yi5cDGOf3ABTZTMZIudNRu5HhN7mnf/n+YhMNc7tBnoNGjUQr1jUeXKWRURqe3Ry
 MKD8LMre58+WxF2ooVKXbjPP+d4jxncrf7QVz6JVktr3cjLN9DIyMNhobanvFaWs2X1J
 joMQHRNY31oSngPJ2/bXkXnlpmwHF3bgGllbNcXiNtg8CxjVFU/pqq3A1UFYHcU182d+
 dNX6QbE6vpcyOS7Qyumc501YwQCa7UYuwbKATgDgfYLIYFX+JHX1kPk140h0KuhrHlGj
 ZrVg==
X-Received: by 10.70.55.165 with SMTP id t5mr56787392pdp.102.1436679415524;
 Sat, 11 Jul 2015 22:36:55 -0700 (PDT)
Received: from [192.168.43.83] ([106.206.138.177])
 by smtp.gmail.com with ESMTPSA id bi4sm14220896pbc.56.2015.07.11.22.36.52
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 11 Jul 2015 22:36:54 -0700 (PDT)
Message-ID: <55A1FD00.3060700@HIDDEN>
Date: Sun, 12 Jul 2015 11:07:04 +0530
From: Vaidheeswaran C <vaidheeswaran.chinnaraju@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux i686;
 rv:31.0) Gecko/20100101 Icedove/31.3.0
MIME-Version: 1.0
To: bruce.connor.am@HIDDEN
Subject: Re: bug#21032: package.el acts pecularly
References: <559F6AE5.8030109@HIDDEN>	<CAAdUY-+-H7oOFF0D5LFPqmM9Y-kr8oZCrwTq2QVgRTFiqcUyDg@HIDDEN>	<55A16C83.3040605@HIDDEN>
 <CAAdUY-+Mju_4JTHYAkDUHUtME2WrOdqgZhsqH4vJSWA7T20VwA@HIDDEN>
In-Reply-To: <CAAdUY-+Mju_4JTHYAkDUHUtME2WrOdqgZhsqH4vJSWA7T20VwA@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 21032
X-Mailman-Approved-At: Sun, 12 Jul 2015 13:27:52 -0400
Cc: 21032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Sunday 12 July 2015 04:28 AM, Artur Malabarba wrote:


>>     Error contacting: http://blah.blah.blah:/archive-contents
>>     error in process filter: peculiar error: 404 [2 times]

> The second error is saying that the page was not found.

Removing the second error and rewording the first error is good enough
for me.  Actually speaking, there is no "second" error.  There is only
one error.

The peculiar error is coming from `edebug-report-error'.  I really
think that user doesn't care much about the "innermost" errors.  So,
catching such errors and re-throwing it is a good idea.  Even if one
(as a developer) wants to see the "inner" errors, the *Messages*
should reflect the "innerness" of the fact by (say) parenthesizing it.


> I imagine other things that can happen are request time-out and
> certificate issues.

(The following pertains to url-http and may not concern package.el)

One way to handle the 404 (or for that matter any error) is to replace
it with it's string counterpart in `url-http-codes'.  If the error
code takes a "parameter", we can also convert entries like this:

    (404 not-found "Not found")

to

    (404 not-found "%s Not found")

etc.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21032; Package emacs. Full text available.

Message received at 21032 <at> debbugs.gnu.org:


Received: (at 21032) by debbugs.gnu.org; 12 Jul 2015 15:16:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 12 11:16:15 2015
Received: from localhost ([127.0.0.1]:47629 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZEIzH-0008CL-7u
	for submit <at> debbugs.gnu.org; Sun, 12 Jul 2015 11:16:15 -0400
Received: from mail-lb0-f178.google.com ([209.85.217.178]:35375)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <arturmalabarba@HIDDEN>) id 1ZEIzF-0008C7-7w
 for 21032 <at> debbugs.gnu.org; Sun, 12 Jul 2015 11:16:14 -0400
Received: by lblf12 with SMTP id f12so43226328lbl.2
 for <21032 <at> debbugs.gnu.org>; Sun, 12 Jul 2015 08:16:07 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:reply-to:sender:in-reply-to:references:date:message-id
 :subject:from:to:cc:content-type;
 bh=OF73Jx6CD5tXX99YyIq7AMMVXymX7AHAQSAke6nMnPU=;
 b=ifABVYn8MB5ywTacA6SFfuS4c0UAn9U1lm2EUSyVmbpl/DH3EiBZi5KIZ0JP6Yaer4
 abJ7NRwWd088WUD2cOwX00po85d/ZaGPkWq8cTzG1PVIia2Zl/GMwJ7+ErkR+z/5Bm02
 PG+dWGmB7XmId7QjqVysiazA9s4YpqoKNsKucFFjKC6ijqqXWItM5me519+KjbzIgcn9
 eTfhpeZf5QYkyvn4aNXJJ+YwkfdrrhpRsyU/viGipi4059P8lRgs8peCyCrEVVvYOUoL
 CBuhU7mOQRL7NaUqVmcOluYLgPZKJ2JQK0+BlPGrA9ytmJgpECqXcq+dvAnjIRhnmOzK
 QOOA==
MIME-Version: 1.0
X-Received: by 10.152.7.239 with SMTP id m15mr27457994laa.95.1436714167192;
 Sun, 12 Jul 2015 08:16:07 -0700 (PDT)
Received: by 10.25.214.133 with HTTP; Sun, 12 Jul 2015 08:16:07 -0700 (PDT)
In-Reply-To: <jwvfv4twh9w.fsf-monnier+emacsbugs@HIDDEN>
References: <559F6AE5.8030109@HIDDEN>
 <CAAdUY-+-H7oOFF0D5LFPqmM9Y-kr8oZCrwTq2QVgRTFiqcUyDg@HIDDEN>
 <55A16C83.3040605@HIDDEN>
 <CAAdUY-+Mju_4JTHYAkDUHUtME2WrOdqgZhsqH4vJSWA7T20VwA@HIDDEN>
 <jwvwpy6w1pt.fsf-monnier+emacsbugs@HIDDEN>
 <CAAdUY-+iQ4CdFJqw+ePtBBwBJGQpfX8Th636jcCr8s1iN2mMKw@HIDDEN>
 <jwvfv4twh9w.fsf-monnier+emacsbugs@HIDDEN>
Date: Sun, 12 Jul 2015 16:16:07 +0100
X-Google-Sender-Auth: kNVUOrB3bW7RZtcTldGUVQc6Gdc
Message-ID: <CAAdUY-+Hp9=g8mLEiUzJH1e3tKbtdzdSt3rirM7eHQKAzi9kAg@HIDDEN>
Subject: Re: bug#21032: package.el acts pecularly
From: Artur Malabarba <bruce.connor.am@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 21032
Cc: Vaidheeswaran C <vaidheeswaran.chinnaraju@HIDDEN>, 21032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: bruce.connor.am@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

You're right. I misread the original message. I thought the user had
configured an invalid server, but I see now they just specified an
invalid file in the (valid) server.

2015-07-12 16:03 GMT+01:00 Stefan Monnier <monnier@HIDDEN>:
>> Actually, I think in that instance it was the server part that led to the
>> problem.
>
> Really?  I thought a 404 came from the remote server, which implies that
> we managed to contact the server (i.e. the DNS name points to a live
> machine).
>
>
>         Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21032; Package emacs. Full text available.

Message received at 21032 <at> debbugs.gnu.org:


Received: (at 21032) by debbugs.gnu.org; 12 Jul 2015 15:03:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 12 11:03:28 2015
Received: from localhost ([127.0.0.1]:47619 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZEImu-0007ut-2O
	for submit <at> debbugs.gnu.org; Sun, 12 Jul 2015 11:03:28 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:35939)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1ZEImr-0007uf-Em
 for 21032 <at> debbugs.gnu.org; Sun, 12 Jul 2015 11:03:25 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: A0AwEwA731xV/2cGNJ1cgxCEAoVVuzcJh0cEBAICgTw5FAEBAQEBAQGBCkEFg10BAQMBViMFCwsOJhIUGA0kiDcIzyMBAQEBAQUBAQEBAR2LOoQ6SweELQWLRI4qBZsRI4QUIoJ4AQEB
X-IPAS-Result: A0AwEwA731xV/2cGNJ1cgxCEAoVVuzcJh0cEBAICgTw5FAEBAQEBAQGBCkEFg10BAQMBViMFCwsOJhIUGA0kiDcIzyMBAQEBAQUBAQEBAR2LOoQ6SweELQWLRI4qBZsRI4QUIoJ4AQEB
X-IronPort-AV: E=Sophos;i="5.13,465,1427774400"; d="scan'208";a="129841579"
Received: from 157-52-6-103.cpe.teksavvy.com (HELO pastel.home)
 ([157.52.6.103])
 by ironport2-out.teksavvy.com with ESMTP; 12 Jul 2015 11:03:19 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id B54986172E; Sun, 12 Jul 2015 11:03:18 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Artur Malabarba <bruce.connor.am@HIDDEN>
Subject: Re: bug#21032: package.el acts pecularly
Message-ID: <jwvfv4twh9w.fsf-monnier+emacsbugs@HIDDEN>
References: <559F6AE5.8030109@HIDDEN>
 <CAAdUY-+-H7oOFF0D5LFPqmM9Y-kr8oZCrwTq2QVgRTFiqcUyDg@HIDDEN>
 <55A16C83.3040605@HIDDEN>
 <CAAdUY-+Mju_4JTHYAkDUHUtME2WrOdqgZhsqH4vJSWA7T20VwA@HIDDEN>
 <jwvwpy6w1pt.fsf-monnier+emacsbugs@HIDDEN>
 <CAAdUY-+iQ4CdFJqw+ePtBBwBJGQpfX8Th636jcCr8s1iN2mMKw@HIDDEN>
Date: Sun, 12 Jul 2015 11:03:18 -0400
In-Reply-To: <CAAdUY-+iQ4CdFJqw+ePtBBwBJGQpfX8Th636jcCr8s1iN2mMKw@HIDDEN>
 (Artur Malabarba's message of "Sun, 12 Jul 2015 09:06:23 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 21032
Cc: Vaidheeswaran C <vaidheeswaran.chinnaraju@HIDDEN>, 21032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> Actually, I think in that instance it was the server part that led to the
> problem.

Really?  I thought a 404 came from the remote server, which implies that
we managed to contact the server (i.e. the DNS name points to a live
machine).


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21032; Package emacs. Full text available.

Message received at 21032 <at> debbugs.gnu.org:


Received: (at 21032) by debbugs.gnu.org; 12 Jul 2015 08:09:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 12 04:09:44 2015
Received: from localhost ([127.0.0.1]:47218 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZECKW-0005S1-4r
	for submit <at> debbugs.gnu.org; Sun, 12 Jul 2015 04:09:44 -0400
Received: from mail-la0-f48.google.com ([209.85.215.48]:33160)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <arturmalabarba@HIDDEN>) id 1ZECKU-0005Ro-Ab
 for 21032 <at> debbugs.gnu.org; Sun, 12 Jul 2015 04:09:42 -0400
Received: by laar3 with SMTP id r3so286489923laa.0
 for <21032 <at> debbugs.gnu.org>; Sun, 12 Jul 2015 01:09:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:reply-to:sender:in-reply-to:references:date:message-id
 :subject:from:to:cc:content-type;
 bh=iFUTwGHILsF29o4hN4N1vJLX/m+7uZeG9E/qeND0Jms=;
 b=mBR19HW6yjc+IAZLavo91u+cBcBLhPNZ82NOvh+rt91m472FcHvHtdANxTInTHlJ2E
 K6odeUOG078B6dd5/iHGSgR7bTjaaPGPMU8vLWEzd3j6qkwsH04fsjkoPtZa+L/RSDXt
 Uw84+COtiEYCM614YFhSvEQuNpMv2EGXdpzrHfcwa/paCE6zxmBB4/ujhXz8mIAjsPym
 W6yE1mmtyONAoiTzOENJ9wySbVvHIPp3nZ4ac+1eCxnM08772Q9sA99YEGlf2EVwRxTq
 aGcyngqpYtDsbT3dJ2Z5RO7TLrQqWSDdGP1dk3YPTFMt0i8yPaZdYxPZG9Cb/CcAkklM
 b4Rg==
MIME-Version: 1.0
X-Received: by 10.152.4.163 with SMTP id l3mr27612219lal.35.1436688576460;
 Sun, 12 Jul 2015 01:09:36 -0700 (PDT)
Received: by 10.25.214.133 with HTTP; Sun, 12 Jul 2015 01:09:36 -0700 (PDT)
Received: by 10.25.214.133 with HTTP; Sun, 12 Jul 2015 01:09:36 -0700 (PDT)
In-Reply-To: <55A1FD00.3060700@HIDDEN>
References: <559F6AE5.8030109@HIDDEN>
 <CAAdUY-+-H7oOFF0D5LFPqmM9Y-kr8oZCrwTq2QVgRTFiqcUyDg@HIDDEN>
 <55A16C83.3040605@HIDDEN>
 <CAAdUY-+Mju_4JTHYAkDUHUtME2WrOdqgZhsqH4vJSWA7T20VwA@HIDDEN>
 <55A1FD00.3060700@HIDDEN>
Date: Sun, 12 Jul 2015 09:09:36 +0100
X-Google-Sender-Auth: 2pw4FxCECLtIAxZ7GsqlwgsBed0
Message-ID: <CAAdUY-+XFzRDFS4NB3H25+ropTiAsY9VM+Y37j5Fc43ERHC9XQ@HIDDEN>
Subject: Re: bug#21032: package.el acts pecularly
From: Artur Malabarba <bruce.connor.am@HIDDEN>
To: Vaidheeswaran C <vaidheeswaran.chinnaraju@HIDDEN>
Content-Type: multipart/alternative; boundary=089e013d100c40bdfc051aa9202a
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 21032
Cc: 21032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: bruce.connor.am@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--089e013d100c40bdfc051aa9202a
Content-Type: text/plain; charset=UTF-8

On Jul 12, 2015 6:37 AM, "Vaidheeswaran C" <
vaidheeswaran.chinnaraju@HIDDEN> wrote:
>
> On Sunday 12 July 2015 04:28 AM, Artur Malabarba wrote:
>
>
> >>     Error contacting: http://blah.blah.blah:/archive-contents
> >>     error in process filter: peculiar error: 404 [2 times]
>
> > The second error is saying that the page was not found.
>
> Removing the second error and rewording the first error is good enough
> for me.  Actually speaking, there is no "second" error.  There is only
> one error.

Yes, it would be nice to improve the error message.

> The peculiar error is coming from `edebug-report-error'.  I really
> think that user doesn't care much about the "innermost" errors.  So,
> catching such errors and re-throwing it is a good idea.  Even if one
> (as a developer) wants to see the "inner" errors, the *Messages*
> should reflect the "innerness" of the fact by (say) parenthesizing it.

Sounds great. :-)

--089e013d100c40bdfc051aa9202a
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<p dir=3D"ltr"><br>
On Jul 12, 2015 6:37 AM, &quot;Vaidheeswaran C&quot; &lt;<a href=3D"mailto:=
vaidheeswaran.chinnaraju@HIDDEN">vaidheeswaran.chinnaraju@HIDDEN</a>&=
gt; wrote:<br>
&gt;<br>
&gt; On Sunday 12 July 2015 04:28 AM, Artur Malabarba wrote:<br>
&gt;<br>
&gt;<br>
&gt; &gt;&gt;=C2=A0 =C2=A0 =C2=A0Error contacting: http://blah.blah.blah:/a=
rchive-contents<br>
&gt; &gt;&gt;=C2=A0 =C2=A0 =C2=A0error in process filter: peculiar error: 4=
04 [2 times]<br>
&gt;<br>
&gt; &gt; The second error is saying that the page was not found.<br>
&gt;<br>
&gt; Removing the second error and rewording the first error is good enough=
<br>
&gt; for me.=C2=A0 Actually speaking, there is no &quot;second&quot; error.=
=C2=A0 There is only<br>
&gt; one error.</p>
<p dir=3D"ltr">Yes, it would be nice to improve the error message.</p>
<p dir=3D"ltr">&gt; The peculiar error is coming from `edebug-report-error&=
#39;.=C2=A0 I really<br>
&gt; think that user doesn&#39;t care much about the &quot;innermost&quot; =
errors.=C2=A0 So,<br>
&gt; catching such errors and re-throwing it is a good idea.=C2=A0 Even if =
one<br>
&gt; (as a developer) wants to see the &quot;inner&quot; errors, the *Messa=
ges*<br>
&gt; should reflect the &quot;innerness&quot; of the fact by (say) parenthe=
sizing it.</p>
<p dir=3D"ltr">Sounds great. :-)</p>

--089e013d100c40bdfc051aa9202a--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21032; Package emacs. Full text available.

Message received at 21032 <at> debbugs.gnu.org:


Received: (at 21032) by debbugs.gnu.org; 12 Jul 2015 08:06:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 12 04:06:33 2015
Received: from localhost ([127.0.0.1]:47214 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZECHR-0005Ne-CS
	for submit <at> debbugs.gnu.org; Sun, 12 Jul 2015 04:06:33 -0400
Received: from mail-lb0-f169.google.com ([209.85.217.169]:35885)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <arturmalabarba@HIDDEN>) id 1ZECHO-0005NP-CK
 for 21032 <at> debbugs.gnu.org; Sun, 12 Jul 2015 04:06:31 -0400
Received: by lbbpo10 with SMTP id po10so110363614lbb.3
 for <21032 <at> debbugs.gnu.org>; Sun, 12 Jul 2015 01:06:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:reply-to:sender:in-reply-to:references:date:message-id
 :subject:from:to:cc:content-type;
 bh=jyF9vWf2y8BRdUYtVlJlruz1xIFFQ6v9gbrSkOijcyE=;
 b=t7KkmClzeIepjSeY1SL6HCVe0UkZMlHaMWlG2Twhd+l+aKKHnZgRhwx/bhmH8T15TD
 2nqnYTWUj/arM8DZtRkADfKmCPE1euVII9Rr1vB5N3AW2gFYmtPwBHNbZbwLwx1LViIC
 tz61O82EYm7wcEZiq+KAWopa9coaHJ3ZNxhLWZgMgLKYsBbuEAIeyQnW+KziDnkgqhKX
 pTfQ/K9/0hmo0azl5vNnX0YgcCe1+B0FTyibjAUNWrHibE8lAsvM9euiQsL2BWzwtsH8
 MtnvhkiO8eBDYLdTX9LYDDF86wGqNxCLvHfn2UgU8gF3uwbSEI0nS6Y1s0f3dJNVkcdV
 T+6A==
MIME-Version: 1.0
X-Received: by 10.112.126.101 with SMTP id mx5mr27607572lbb.35.1436688384204; 
 Sun, 12 Jul 2015 01:06:24 -0700 (PDT)
Received: by 10.25.214.133 with HTTP; Sun, 12 Jul 2015 01:06:23 -0700 (PDT)
Received: by 10.25.214.133 with HTTP; Sun, 12 Jul 2015 01:06:23 -0700 (PDT)
In-Reply-To: <jwvwpy6w1pt.fsf-monnier+emacsbugs@HIDDEN>
References: <559F6AE5.8030109@HIDDEN>
 <CAAdUY-+-H7oOFF0D5LFPqmM9Y-kr8oZCrwTq2QVgRTFiqcUyDg@HIDDEN>
 <55A16C83.3040605@HIDDEN>
 <CAAdUY-+Mju_4JTHYAkDUHUtME2WrOdqgZhsqH4vJSWA7T20VwA@HIDDEN>
 <jwvwpy6w1pt.fsf-monnier+emacsbugs@HIDDEN>
Date: Sun, 12 Jul 2015 09:06:23 +0100
X-Google-Sender-Auth: 3-XIhF7_VlI7606S7j6fp6s-WqQ
Message-ID: <CAAdUY-+iQ4CdFJqw+ePtBBwBJGQpfX8Th636jcCr8s1iN2mMKw@HIDDEN>
Subject: Re: bug#21032: package.el acts pecularly
From: Artur Malabarba <bruce.connor.am@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: multipart/alternative; boundary=001a11c36b9ccb2643051aa9143a
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 21032
Cc: Vaidheeswaran C <vaidheeswaran.chinnaraju@HIDDEN>, 21032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: bruce.connor.am@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a11c36b9ccb2643051aa9143a
Content-Type: text/plain; charset=UTF-8

On Jul 12, 2015 3:28 AM, "Stefan Monnier" <monnier@HIDDEN> wrote:
>
> > The 404 error is so well known that I'm not too worried about confusing
the
> > user.
>
> No, 404 is not well-known enough.  I for one have no idea which kind of
> error this is (other than "the host itself was OK since got a reply, but
> the file part of the URL lead to some kind of problem", and I wouldn't
> assume every user to know that much).

Actually, I think in that instance it was the server part that led to the
problem. However, I _think_ package.el (or url.el) doesn't have the
information to say that. That is, we would get the same error whether it's
an issue in the server part or the file part, wouldn't we?

Anyway, like I said, I'm fine with improving the error message. I just
meant I prefer the message to still say 404 somewhere (or whatever the
error code was).

--001a11c36b9ccb2643051aa9143a
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<p dir=3D"ltr"><br>
On Jul 12, 2015 3:28 AM, &quot;Stefan Monnier&quot; &lt;<a href=3D"mailto:m=
onnier@HIDDEN">monnier@HIDDEN</a>&gt; wrote:<br>
&gt;<br>
&gt; &gt; The 404 error is so well known that I&#39;m not too worried about=
 confusing the<br>
&gt; &gt; user.<br>
&gt;<br>
&gt; No, 404 is not well-known enough.=C2=A0 I for one have no idea which k=
ind of<br>
&gt; error this is (other than &quot;the host itself was OK since got a rep=
ly, but<br>
&gt; the file part of the URL lead to some kind of problem&quot;, and I wou=
ldn&#39;t<br>
&gt; assume every user to know that much).</p>
<p dir=3D"ltr">Actually, I think in that instance it was the server part th=
at led to the problem. However, I _think_ package.el (or url.el) doesn&#39;=
t have the information to say that. That is, we would get the same error wh=
ether it&#39;s an issue in the server part or the file part, wouldn&#39;t w=
e? </p>
<p dir=3D"ltr">Anyway, like I said, I&#39;m fine with improving the error m=
essage. I just meant I prefer the message to still say 404 somewhere (or wh=
atever the error code was).</p>

--001a11c36b9ccb2643051aa9143a--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21032; Package emacs. Full text available.

Message received at 21032 <at> debbugs.gnu.org:


Received: (at 21032) by debbugs.gnu.org; 12 Jul 2015 02:28:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 11 22:28:43 2015
Received: from localhost ([127.0.0.1]:47139 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZE70U-0005PO-Tv
	for submit <at> debbugs.gnu.org; Sat, 11 Jul 2015 22:28:43 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:7587)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1ZE70R-0005P9-R5
 for 21032 <at> debbugs.gnu.org; Sat, 11 Jul 2015 22:28:40 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: A0AwEwA731xV/2cGNJ1cgxCEAoVVuzcJh0gDBAICgTw5FAEBAQEBAQGBCkEFg10BAQMBViMFCwsOJhIUGA0kiDcIzyMBAQEBBgEBAQEeizqFBQeELQWZbgWbESOEFCKCeAEBAQ
X-IPAS-Result: A0AwEwA731xV/2cGNJ1cgxCEAoVVuzcJh0gDBAICgTw5FAEBAQEBAQGBCkEFg10BAQMBViMFCwsOJhIUGA0kiDcIzyMBAQEBBgEBAQEeizqFBQeELQWZbgWbESOEFCKCeAEBAQ
X-IronPort-AV: E=Sophos;i="5.13,465,1427774400"; d="scan'208";a="129808734"
Received: from 157-52-6-103.cpe.teksavvy.com (HELO pastel.home)
 ([157.52.6.103])
 by ironport2-out.teksavvy.com with ESMTP; 11 Jul 2015 22:28:33 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id 2029C61746; Sat, 11 Jul 2015 22:28:33 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Artur Malabarba <bruce.connor.am@HIDDEN>
Subject: Re: bug#21032: package.el acts pecularly
Message-ID: <jwvwpy6w1pt.fsf-monnier+emacsbugs@HIDDEN>
References: <559F6AE5.8030109@HIDDEN>
 <CAAdUY-+-H7oOFF0D5LFPqmM9Y-kr8oZCrwTq2QVgRTFiqcUyDg@HIDDEN>
 <55A16C83.3040605@HIDDEN>
 <CAAdUY-+Mju_4JTHYAkDUHUtME2WrOdqgZhsqH4vJSWA7T20VwA@HIDDEN>
Date: Sat, 11 Jul 2015 22:28:33 -0400
In-Reply-To: <CAAdUY-+Mju_4JTHYAkDUHUtME2WrOdqgZhsqH4vJSWA7T20VwA@HIDDEN>
 (Artur Malabarba's message of "Sat, 11 Jul 2015 23:58:51 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 21032
Cc: Vaidheeswaran C <vaidheeswaran.chinnaraju@HIDDEN>, 21032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> The 404 error is so well known that I'm not too worried about confusing the
> user.

No, 404 is not well-known enough.  I for one have no idea which kind of
error this is (other than "the host itself was OK since got a reply, but
the file part of the URL lead to some kind of problem", and I wouldn't
assume every user to know that much).


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21032; Package emacs. Full text available.

Message received at 21032 <at> debbugs.gnu.org:


Received: (at 21032) by debbugs.gnu.org; 12 Jul 2015 01:32:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 11 21:32:59 2015
Received: from localhost ([127.0.0.1]:47131 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZE68Y-0004C8-Nh
	for submit <at> debbugs.gnu.org; Sat, 11 Jul 2015 21:32:59 -0400
Received: from mail-pd0-f174.google.com ([209.85.192.174]:36126)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <vaidheeswaran.chinnaraju@HIDDEN>)
 id 1ZE0KF-0004EC-3I
 for 21032 <at> debbugs.gnu.org; Sat, 11 Jul 2015 15:20:39 -0400
Received: by pdjr16 with SMTP id r16so40103551pdj.3
 for <21032 <at> debbugs.gnu.org>; Sat, 11 Jul 2015 12:20:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=message-id:date:from:user-agent:mime-version:to:cc:subject
 :references:in-reply-to:content-type:content-transfer-encoding;
 bh=gIEXZ2Y+/jrYv7yxCrv3BOiHJ0TcXAdWpjUmYJTqXrM=;
 b=LKovdDeLUxFLRJRaO1/YI0xeN61m/nlF+RLi2TMf551wptxhh3IhiUyMJYecPWavaD
 TAwGnIv5QZBJgZIkLhsUtqhnb79KeDJprB5IfRVuNgICfXSmvEv5U3UtM1cOn+R9v4nf
 EB6oZO9JqynNICNMX8ExxBwl1IOItR5VzHwq1yYVKMSpD6GJFmwv/F1WX4yZPQQq/Vb0
 vir/kbdC9tzQ3HDb9RS/Lg9nGF6ECBfFmWR/qWHZSD92ZJbmnYgripdYD7zfLcUZ4S8K
 6cxc2XShRW1rftNnC+uoALFnoXEHCFhA3qtdHnv2qWF+IwymD0aWjy6xRwNGvB/HFmgp
 Vzlw==
X-Received: by 10.70.109.199 with SMTP id hu7mr54768793pdb.71.1436642433154;
 Sat, 11 Jul 2015 12:20:33 -0700 (PDT)
Received: from [192.168.43.83] ([106.206.138.177])
 by smtp.gmail.com with ESMTPSA id cz1sm13681132pdb.44.2015.07.11.12.20.27
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 11 Jul 2015 12:20:32 -0700 (PDT)
Message-ID: <55A16C83.3040605@HIDDEN>
Date: Sun, 12 Jul 2015 00:50:35 +0530
From: Vaidheeswaran C <vaidheeswaran.chinnaraju@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux i686;
 rv:31.0) Gecko/20100101 Icedove/31.3.0
MIME-Version: 1.0
To: bruce.connor.am@HIDDEN
Subject: Re: bug#21032: package.el acts pecularly
References: <559F6AE5.8030109@HIDDEN>
 <CAAdUY-+-H7oOFF0D5LFPqmM9Y-kr8oZCrwTq2QVgRTFiqcUyDg@HIDDEN>
In-Reply-To: <CAAdUY-+-H7oOFF0D5LFPqmM9Y-kr8oZCrwTq2QVgRTFiqcUyDg@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 21032
X-Mailman-Approved-At: Sat, 11 Jul 2015 21:32:56 -0400
Cc: 21032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Saturday 11 July 2015 03:51 PM, Artur Malabarba wrote:
>> I think package.el should offer to remove (or blacklist)
>> > "misconfigured" archives or "disappeared" archives.  At the minimum,
>> > it shouldn't throw 404-s in user's face.
> Can we differentiate them from an archive that is temporarily down?
> 

We can definitely improve upon how the error gets reported.

    Error contacting: http://blah.blah.blah:/archive-contents
    error in process filter: peculiar error: 404 [2 times]

To the user, the first error gives sufficient hint for futher action.
I wonder what the second error says which the first error already
doesn't say.  Or may be there is indeed two errors and not one error
as I surmise.

ps: I wonder what contacting a file means :-P.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21032; Package emacs. Full text available.

Message received at 21032 <at> debbugs.gnu.org:


Received: (at 21032) by debbugs.gnu.org; 11 Jul 2015 22:58:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 11 18:58:59 2015
Received: from localhost ([127.0.0.1]:47099 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZE3jW-0000m1-MP
	for submit <at> debbugs.gnu.org; Sat, 11 Jul 2015 18:58:58 -0400
Received: from mail-la0-f50.google.com ([209.85.215.50]:33902)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <arturmalabarba@HIDDEN>) id 1ZE3jV-0000lo-Fu
 for 21032 <at> debbugs.gnu.org; Sat, 11 Jul 2015 18:58:58 -0400
Received: by lagx9 with SMTP id x9so282768724lag.1
 for <21032 <at> debbugs.gnu.org>; Sat, 11 Jul 2015 15:58:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:reply-to:sender:in-reply-to:references:date:message-id
 :subject:from:to:cc:content-type;
 bh=0SMg0zLwXIB1uGF7VFHdC7Apqhl81u8Exve6Q+/x84Q=;
 b=ozZCvI9XSeuYJ4fDFVMZzPf+rrL1roPCILRjH0J1PrZU+gSdMy2whKF0GORR2DLvh9
 tc3D2SwmRTvud9Obt+SMNy49uaEtJjPzm3Wi/UJe9q0231870O99bPs8cGg56iTW1s7t
 0TlV5FlCKxMKwIsgQ4g9PTBc7qEH4rXiMAloMVCiYoCJnJp86Os9kValOXUSOLU+p5Wy
 ZaxlS86DHTQVCOw1pcjDrepp8Qum3YOZDIuXdYMDYjUuYb/CL8bxpXK29zHnyDxojADS
 pV7zDtn5qf7Cg5olnafQDQme8Y7ERfZnpzx9D+azIvPDR8PdCHxO1dyrVuPubGg0P4Uq
 SN1A==
MIME-Version: 1.0
X-Received: by 10.112.210.137 with SMTP id mu9mr25046250lbc.95.1436655531431; 
 Sat, 11 Jul 2015 15:58:51 -0700 (PDT)
Received: by 10.25.214.133 with HTTP; Sat, 11 Jul 2015 15:58:51 -0700 (PDT)
Received: by 10.25.214.133 with HTTP; Sat, 11 Jul 2015 15:58:51 -0700 (PDT)
In-Reply-To: <55A16C83.3040605@HIDDEN>
References: <559F6AE5.8030109@HIDDEN>
 <CAAdUY-+-H7oOFF0D5LFPqmM9Y-kr8oZCrwTq2QVgRTFiqcUyDg@HIDDEN>
 <55A16C83.3040605@HIDDEN>
Date: Sat, 11 Jul 2015 23:58:51 +0100
X-Google-Sender-Auth: pJdVTWTWgOoqDSM_QgEaO6MM5aQ
Message-ID: <CAAdUY-+Mju_4JTHYAkDUHUtME2WrOdqgZhsqH4vJSWA7T20VwA@HIDDEN>
Subject: Re: bug#21032: package.el acts pecularly
From: Artur Malabarba <bruce.connor.am@HIDDEN>
To: Vaidheeswaran C <vaidheeswaran.chinnaraju@HIDDEN>
Content-Type: multipart/alternative; boundary=001a11c3d7dc9d9e89051aa16e38
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 21032
Cc: 21032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: bruce.connor.am@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a11c3d7dc9d9e89051aa16e38
Content-Type: text/plain; charset=UTF-8

> We can definitely improve upon how the error gets reported.

Certainly. Patches welcome. :-)

>     Error contacting: http://blah.blah.blah:/archive-contents
>     error in process filter: peculiar error: 404 [2 times]
>
> To the user, the first error gives sufficient hint for futher action.
> I wonder what the second error says which the first error already
> doesn't say.

The second error is saying that the page was not found. I imagine other
things that can happen are request time-out and certificate issues.

The 404 error is so well known that I'm not too worried about confusing the
user. I'd rather not hide this possibility-useful information in fear that
someone might be freaked out by it.

But improving its presentation is certainly possible.

--001a11c3d7dc9d9e89051aa16e38
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<p dir=3D"ltr">&gt; We can definitely improve upon how the error gets repor=
ted.</p>
<p dir=3D"ltr">Certainly. Patches welcome. :-)</p>
<p dir=3D"ltr">&gt; =C2=A0 =C2=A0 Error contacting: http://blah.blah.blah:/=
archive-contents<br>
&gt; =C2=A0 =C2=A0 error in process filter: peculiar error: 404 [2 times]<b=
r>
&gt;<br>
&gt; To the user, the first error gives sufficient hint for futher action.<=
br>
&gt; I wonder what the second error says which the first error already<br>
&gt; doesn&#39;t say.=C2=A0 </p>
<p dir=3D"ltr">The second error is saying that the page was not found. I im=
agine other things that can happen are request time-out and certificate iss=
ues. </p>
<p dir=3D"ltr">The 404 error is so well known that I&#39;m not too worried =
about confusing the user. I&#39;d rather not hide this possibility-useful i=
nformation in fear that someone might be freaked out by it. </p>
<p dir=3D"ltr">But improving its presentation is certainly possible. </p>

--001a11c3d7dc9d9e89051aa16e38--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21032; Package emacs. Full text available.

Message received at 21032 <at> debbugs.gnu.org:


Received: (at 21032) by debbugs.gnu.org; 11 Jul 2015 10:21:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 11 06:21:59 2015
Received: from localhost ([127.0.0.1]:46619 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZDrux-0005gq-08
	for submit <at> debbugs.gnu.org; Sat, 11 Jul 2015 06:21:59 -0400
Received: from mail-la0-f42.google.com ([209.85.215.42]:35200)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <arturmalabarba@HIDDEN>) id 1ZDruu-0005gd-Va
 for 21032 <at> debbugs.gnu.org; Sat, 11 Jul 2015 06:21:57 -0400
Received: by labgy5 with SMTP id gy5so125576795lab.2
 for <21032 <at> debbugs.gnu.org>; Sat, 11 Jul 2015 03:21:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:reply-to:sender:in-reply-to:references:date:message-id
 :subject:from:to:cc:content-type;
 bh=lBjA7EiwP5f9Tse+CDi75OM2HkLo0C6W0W54JLa/hXY=;
 b=VpZI4KnoeLyRjdrH05EQHCgsqigmz/lPLRWfqu1ld/bk/I/g6Vti4DtfCfbI81IQjM
 /mF8J+nfpByD5DVeQivt8onD53TCXMU4eYSKbgAsBRjdONwEwhiFT3b3lNqktXGj1wLp
 zIN7Zy58GSpSVN1qFrR9ec5fclqjy5AQSn1dbOAdWePWXQYkFf+si1OO9aIhIDQ3hpJW
 k7GyIJJ10/xa7bmZzqv+Dddq3pRm+vXzwWu4EF/2t4d5ITb+QIQyBXqbkHAYEAYMBMPH
 mg8szQVJaM26MAYuWNrzpZ2xxoSJCgtVxidKHcSiCgMzkMDRknUsjCaj2qabTnyudiXs
 +CfQ==
MIME-Version: 1.0
X-Received: by 10.152.37.136 with SMTP id y8mr23706712laj.21.1436610111043;
 Sat, 11 Jul 2015 03:21:51 -0700 (PDT)
Received: by 10.25.214.133 with HTTP; Sat, 11 Jul 2015 03:21:50 -0700 (PDT)
Received: by 10.25.214.133 with HTTP; Sat, 11 Jul 2015 03:21:50 -0700 (PDT)
In-Reply-To: <559F6AE5.8030109@HIDDEN>
References: <559F6AE5.8030109@HIDDEN>
Date: Sat, 11 Jul 2015 11:21:50 +0100
X-Google-Sender-Auth: 1iYI-2lHgKFNN1C1sEn9FHqTfTA
Message-ID: <CAAdUY-+-H7oOFF0D5LFPqmM9Y-kr8oZCrwTq2QVgRTFiqcUyDg@HIDDEN>
Subject: Re: bug#21032: package.el acts pecularly
From: Artur Malabarba <bruce.connor.am@HIDDEN>
To: Vaidheeswaran C <vaidheeswaran.chinnaraju@HIDDEN>
Content-Type: multipart/alternative; boundary=089e014941985981f4051a96db22
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 21032
Cc: 21032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: bruce.connor.am@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--089e014941985981f4051a96db22
Content-Type: text/plain; charset=UTF-8

> I think package.el should offer to remove (or blacklist)
> "misconfigured" archives or "disappeared" archives.  At the minimum,
> it shouldn't throw 404-s in user's face.

Can we differentiate them from an archive that is temporarily down?

--089e014941985981f4051a96db22
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<p dir=3D"ltr">&gt; I think package.el should offer to remove (or blacklist=
)<br>
&gt; &quot;misconfigured&quot; archives or &quot;disappeared&quot; archives=
.=C2=A0 At the minimum,<br>
&gt; it shouldn&#39;t throw 404-s in user&#39;s face.</p>
<p dir=3D"ltr">Can we differentiate them from an archive that is temporaril=
y down? </p>

--089e014941985981f4051a96db22--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21032; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Jul 2015 19:33:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 10 15:33:33 2015
Received: from localhost ([127.0.0.1]:46444 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZDe3A-0004X4-DG
	for submit <at> debbugs.gnu.org; Fri, 10 Jul 2015 15:33:33 -0400
Received: from eggs.gnu.org ([208.118.235.92]:40414)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <vaidheeswaran.chinnaraju@HIDDEN>)
 id 1ZDS7Z-0002ar-BO
 for submit <at> debbugs.gnu.org; Fri, 10 Jul 2015 02:49:17 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <vaidheeswaran.chinnaraju@HIDDEN>)
 id 1ZDS7Q-0006Qm-2W
 for submit <at> debbugs.gnu.org; Fri, 10 Jul 2015 02:49:11 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:44940)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <vaidheeswaran.chinnaraju@HIDDEN>)
 id 1ZDS7P-0006Qh-VK
 for submit <at> debbugs.gnu.org; Fri, 10 Jul 2015 02:49:07 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:53918)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <vaidheeswaran.chinnaraju@HIDDEN>)
 id 1ZDS7O-00077w-Uj
 for bug-gnu-emacs@HIDDEN; Fri, 10 Jul 2015 02:49:07 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <vaidheeswaran.chinnaraju@HIDDEN>)
 id 1ZDS7L-0006QM-NP
 for bug-gnu-emacs@HIDDEN; Fri, 10 Jul 2015 02:49:06 -0400
Received: from mail-pd0-x22e.google.com ([2607:f8b0:400e:c02::22e]:33498)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <vaidheeswaran.chinnaraju@HIDDEN>)
 id 1ZDS7L-0006QF-Fs
 for bug-gnu-emacs@HIDDEN; Fri, 10 Jul 2015 02:49:03 -0400
Received: by pdbqm3 with SMTP id qm3so35268354pdb.0
 for <bug-gnu-emacs@HIDDEN>; Thu, 09 Jul 2015 23:49:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=message-id:date:from:user-agent:mime-version:to:subject
 :content-type:content-transfer-encoding;
 bh=Rage559JVafNavLvN0M4j0z99/QofBb3D5hIp/h891A=;
 b=g+NYW5EMSNWz44zBU3nKrLMEMxggE4XO3jzG95FTmG3UYZBTH24Ov5XVorM60c7Ofn
 6NMkhb7UlnyFmuJIWzvc+GWVN8NAaG7MHv9FqzN2WcgHXlz9XiHXQVldDYMx74iYJA9f
 cJbX0K6rG386VaOpJs2Zh9SOM/XzuZUqEEmY6xcZPT2pv5joIxBvjNMtgU2DU7eHGlLr
 nbs19tvFMK5qiRbRTSP7xS5V0FGKHB5cZ2zua3Rgjif3MC7Xy6hUnIslfZsLrvxUQHFb
 ZYLgSzyDzd+/Nry78IWIKU/k0uwHdNvv8CppXVTP0xGaBN7cy5gJzcZPMIk3En6y4gEI
 lgaw==
X-Received: by 10.68.142.232 with SMTP id rz8mr38475267pbb.117.1436510942447; 
 Thu, 09 Jul 2015 23:49:02 -0700 (PDT)
Received: from [192.168.43.83] ([106.206.145.182])
 by smtp.gmail.com with ESMTPSA id qp10sm7871530pbc.88.2015.07.09.23.48.59
 for <bug-gnu-emacs@HIDDEN>
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 09 Jul 2015 23:49:01 -0700 (PDT)
Message-ID: <559F6AE5.8030109@HIDDEN>
Date: Fri, 10 Jul 2015 12:19:09 +0530
From: Vaidheeswaran C <vaidheeswaran.chinnaraju@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux i686;
 rv:31.0) Gecko/20100101 Icedove/31.3.0
MIME-Version: 1.0
To: bug-gnu-emacs@HIDDEN
Subject: package.el acts pecularly
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 10 Jul 2015 15:33:31 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)


(custom-set-variables
  '(package-archives
   (quote
    (("gnu" . "http://elpa.gnu.org/packages/")
     ("ung" . "http://elpa.gnu.org/")))))


Do M-x list-packages, the messages buffer reports the following.

| Error contacting: http://elpa.gnu.org/archive-contents
| error in process filter: peculiar error: 404 [2 times]

I think package.el should offer to remove (or blacklist)
"misconfigured" archives or "disappeared" archives.  At the minimum,
it shouldn't throw 404-s in user's face.




Acknowledgement sent to Vaidheeswaran C <vaidheeswaran.chinnaraju@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#21032; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.